#ifndef POINTOP_H
#define POINTOP_H

#include <vector>
#include "ICPPoint.h"
#include "Point.h"
#include "Matrix.h"

using namespace std;

class PointOP
{
// Point operation
public:
	static void ApplyTransform(vector <Point> &P, Matrix &T);
	static void ApplyTransform(vector <ICPPoint> &P, Matrix &T);
	static void GetTransform(vector <Point> regpoint1, vector <Point> regpoint2, Matrix &transform);
	static void GetTransform2(vector <Point> &regpoint1, vector <Point> &regpoint2, Matrix &transform);
};

#endif
